## mars.venus
Class VenusUI

    java.lang.Object
      java.awt.Component
          java.awt.Container
              java.awt.Window
                  java.awt.Frame
                      javax.swing.JFrame
                          mars.venus.VenusUI

All Implemented Interfaces:
  ImageObserver, MenuContainer, Serializable, Accessible, RootPaneContainer, WindowConstants

    public class VenusUI

extends JFrame

Top level container for Venus GUI.

Author:
  Sanderson and Team JSpim
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JFrame
`JFrame.AccessibleJFrame`

Nested classes/interfaces inherited from class java.awt.Frame
`Frame.AccessibleAWTFrame`

Nested classes/interfaces inherited from class java.awt.Window
`Window.AccessibleAWTWindow`

Nested classes/interfaces inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.BaselineResizeBehavior, Component.BltBufferStrategy, Component.FlipBufferStrategy`

Field Summary
`JMenuBar` `menu`

Fields inherited from class javax.swing.JFrame
`accessibleContext, EXIT_ON_CLOSE, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Frame
`CROSSHAIR_CURSOR, DEFAULT_CURSOR, E_RESIZE_CURSOR, HAND_CURSOR, ICONIFIED, MAXIMIZED_BOTH, MAXIMIZED_HORIZ, MAXIMIZED_VERT, MOVE_CURSOR, N_RESIZE_CURSOR, NE_RESIZE_CURSOR, NORMAL, NW_RESIZE_CURSOR, S_RESIZE_CURSOR, SE_RESIZE_CURSOR, SW_RESIZE_CURSOR, TEXT_CURSOR, W_RESIZE_CURSOR, WAIT_CURSOR`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`VenusUI(String s)` Constructor for the Class.

Method Summary
`void` `dispatchEventToMenu(KeyEvent evt)` Send keyboard event to menu for possible processing.
`JCheckBoxMenuItem` `getAddressDisplayBaseMenuItem()` Get reference to settings menu item for display base of memory/register values.
`Editor` `getEditor()` Get reference to Editor object associated with this GUI.
`MainPane` `getMainPane()` Get reference to messages pane associated with this GUI.
`static int` `getMenuState()` Get current menu state.
`MessagesPane` `getMessagesPane()` Get reference to messages pane associated with this GUI.
`RegistersPane` `getRegistersPane()` Get reference to registers pane associated with this GUI.
`static boolean` `getReset()` To find out whether the register values are reset.
`Action` `getRunAssembleAction()` Return reference tothe Run->Assemble item's action.
`static boolean` `getStarted()` To find out whether MIPS program is currently executing.
`JCheckBoxMenuItem` `getValueDisplayBaseMenuItem()` Get reference to settings menu item for display base of memory/register values.
`void` `haveMenuRequestFocus()` Have the menu request keyboard focus.
`static void` `setReset(boolean b)` To set whether the register values are reset.
`static void` `setStarted(boolean b)` To set whether MIPS program execution has started.

Methods inherited from class javax.swing.JFrame

`addImpl, createRootPane, frameInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getGraphics, getJMenuBar, getLayeredPane, getRootPane, getTransferHandler, isDefaultLookAndFeelDecorated, isRootPaneCheckingEnabled, paramString, processWindowEvent, remove, repaint, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setIconImage, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, setTransferHandler, update`

Methods inherited from class java.awt.Frame
`addNotify, getCursorType, getExtendedState, getFrames, getIconImage, getMaximizedBounds, getMenuBar, getState, getTitle, isResizable, isUndecorated, remove, removeNotify, setCursor, setExtendedState, setMaximizedBounds, setMenuBar, setResizable, setState, setTitle, setUndecorated`

Methods inherited from class java.awt.Window

`addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, dispose, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getGraphicsConfiguration, getIconImages, getInputContext, getListeners, getLocale, getModalExclusionType, getMostRecentFocusOwner, getOwnedWindows, getOwner, getOwnerlessWindows, getToolkit, getWarningString, getWindowFocusListeners, getWindowListeners, getWindows, getWindowStateListeners, hide, isActive, isAlwaysOnTop, isAlwaysOnTopSupported, isFocusableWindow, isFocusCycleRoot, isFocused, isLocationByPlatform, isShowing, pack, paint, postEvent, processEvent, processWindowFocusEvent, processWindowStateEvent, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, reshape, setAlwaysOnTop, setBounds, setBounds, setCursor, setFocusableWindowState, setFocusCycleRoot, setIconImages, setLocationByPlatform, setLocationRelativeTo, setMinimumSize, setModalExclusionType, setSize, setSize, setVisible, show, toBack, toFront`

Methods inherited from class java.awt.Container

`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component

`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isPreferredSizeSet, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resize, resize, setBackground, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setMaximumSize, setName, setPreferredSize, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.awt.MenuContainer
`getFont, postEvent`

Field Detail

### menu

    public JMenuBar menu

Constructor Detail

### VenusUI

    public VenusUI(String s)

  Constructor for the Class. Sets up a window object for the UI

  Parameters:
    `s` - Name of the window to be created.

Method Detail

### getMenuState

    public static int getMenuState()

  Get current menu state. State values are constants in FileStatus class. DPS 23 July 2008

  Returns:
    current menu state.

### setReset

    public static void setReset(boolean b)

  To set whether the register values are reset.

  Parameters:
    `b` - Boolean true if the register values have been reset.

### setStarted

    public static void setStarted(boolean b)

  To set whether MIPS program execution has started.

  Parameters:
    `b` - true if the MIPS program execution has started.

### getReset

    public static boolean getReset()

  To find out whether the register values are reset.

  Returns:
    Boolean true if the register values have been reset.

### getStarted

    public static boolean getStarted()

  To find out whether MIPS program is currently executing.

  Returns:
    true if MIPS program is currently executing.

### getEditor

    public Editor getEditor()

  Get reference to Editor object associated with this GUI.

  Returns:
    Editor for the GUI.

### getMainPane

    public MainPane getMainPane()

  Get reference to messages pane associated with this GUI.

  Returns:
    MessagesPane object associated with the GUI.

### getMessagesPane

    public MessagesPane getMessagesPane()

  Get reference to messages pane associated with this GUI.

  Returns:
    MessagesPane object associated with the GUI.

### getRegistersPane

    public RegistersPane getRegistersPane()

  Get reference to registers pane associated with this GUI.

  Returns:
    RegistersPane object associated with the GUI.

### getValueDisplayBaseMenuItem

    public JCheckBoxMenuItem getValueDisplayBaseMenuItem()

  Get reference to settings menu item for display base of memory/register values.

  Returns:
    the menu item

### getAddressDisplayBaseMenuItem

    public JCheckBoxMenuItem getAddressDisplayBaseMenuItem()

  Get reference to settings menu item for display base of memory/register values.

  Returns:
    the menu item

### getRunAssembleAction

    public Action getRunAssembleAction()

  Return reference tothe Run->Assemble item's action. Needed by File->Open in case assemble-upon-open flag is set.

  Returns:
    the Action object for the Run->Assemble operation.

### haveMenuRequestFocus

    public void haveMenuRequestFocus()

  Have the menu request keyboard focus. DPS 5-4-10

### dispatchEventToMenu

    public void dispatchEventToMenu(KeyEvent evt)

  Send keyboard event to menu for possible processing. DPS 5-4-10

  Parameters:
    `evt` - KeyEvent for menu component to consider for processing.